/*
Copyright (C) 2009 -  Claudio Salvadori 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef CNONE_H
#define CNONE_H

#include "IRenderer.h"
#include "CXmlParser.h"

 /**
 *\file CNone.h
 *
 *\date  Created on: 23-oct-2009
 *\author  Author: Claudio Salvadori
 *\brief  Class to handle data with no semantic
 */
 
 /**
 *\class CNone
 *\brief  Implementation of IRenderer interface to 
 * 	handle data with no semantic.
 *	This class is implemented to discrard not important
 *	character in the stream (like separator)
 */

class CNone:public IRenderer{
public:
	~CNone(void){};
	
	static IRenderer *createObj(const void* node);

	void render(void * data, unsigned long size);

	void setType(var_type vType){vType_ = vType;};
private:
	CNone(const DOMNode* node);
	var_type 	vType_;		/**<Variable type*/
};

#endif
